Vehicle RC Authentication
This API is for validating a customer’s vehicle Registration Card details. We must pass vehicle registration number in request. If the requested vehicle registration number is valid, we will get all the details related to the vehicle and the vehicle’s ownership.
https://kraken.airpay.co.in/airpay/ms/baas/api/rc-authenticationHeader
Section titled “Header”| Field | Type | Description |
|---|---|---|
| affiliate | Text | Will be provided by Airpay (required) |
| checksum | Text | $string = $param.self::$secret_key; (required) |
| api-key | Text | Will be provided by airpay ( required) |
| processor-key | Text | Will be provided by airpay ( required) |
Parameter
Section titled “Parameter”| Field | Type | Description |
|---|---|---|
| registration_num | Text | Vehicle registration number (length 10, required) |
Request-Example:
Section titled “Request-Example:” curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/rc-authentication' \--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \--header 'Content-Type: application/x-www-form-urlencoded' \--data-urlencode 'registration_num=UP65BT1234'Success 200
Section titled “Success 200”| Field | Type | Description |
|---|---|---|
| status | Numeric | 400- fail,200-success(length 3) |
| message | Text | success, fail |
| data | Text | { “seatingCapacity”: “4”, “taxPaidUpto”: “30-Apr-2016”, “vehicleClassDescription”: “Three Wheeler (Passenger)(3WT)”, “grossVehicleWeight”: “610”, “unladenWeight”: “310”, “permanentAddress”: “VILL-BABANOURA , POST-RAVIPURAM,EARNAKULAM, -912345”, “ownerSerialNumber”: “1”, “statusAsOn”: “21-10-2021”, “wheelbase”: “2025”, “registrationDate”: “24-05-2011”, “fatherName”: “LATE SURAJ SINGH”, “financier”: “INDIAN BANK LTD”, “registrationNumber”: “UP65BT1234”, “chassisNumber”: “MD2ABCPZZTWM12345”, “numberOfCylinders”: “1”, “bodyTypeDescription”: “AUTO RICKSHAW (PASS)”, “makerDescription”: “BAJAJ AUTO LTD”, “sleeperCapacity”: “0”, “fuelDescription”: “PETROL”, “makerModel”: “REGDI”, “cubicCapacity”: “145.0”, “color”: “ECO GREEN”, “ownerName”: “SRI RAM KUMAR”, “normsDescription”: “EURO 3”, “standingCapacity”: “0”, “insuranceUpto”: “20-07-2022”, “engineNumber”: “ABCDTM01234”, “presentAddress”: “VILL-BABANOURA , POST-RAVIPURAM,EARNAKULAM, -912345”, “insurancePolicyNumber”: “01234532145857897”, “registeredAt”: “VARANASI RTO, Uttar Pradesh”, “fitnessUpto”: “22-07-2016”, “manufacturedMonthYear”: “03-2011”, “insuranceCompany”: “ABV INSURANCE CO.”, “pucNumber”: “NA”, “pucExpiryDate”: “NA”, “blackListStatus”: “NA”, “nationalPermitIssuedBy”: null, “nationalPermitNumber”: null, “nationalPermitExpiryDate”: null, “statePermitNumber”: “UP1234/102/AUTO/2011/1234”, “statePermitType”: “Contract Carriage Permit[AUTO RIKSHAW]”, “statePermitIssuedDate”: “24-Jun-2011”, “statePermitExpiryDate”: “23-Jun-2016”, “nonUseFrom”: "", “nocDetails”: “NA”, “nonUseTo”: "", “stateCd”: “UP”, “vehicleCatgory”: “3WT”, “rcStatus”: “ACTIVE”, “stautsMessage”: “OK”, “rcMobileNo”: "", “rcNonUseStatus”: "", “blackListInfo”: [] } |
Success-Response:
Section titled “Success-Response:”{ "status": "200", "message": "success", "data": { "seatingCapacity": "4", "taxPaidUpto": "30-Apr-2016", "vehicleClassDescription": "Three Wheeler (Passenger)(3WT)", "grossVehicleWeight": "610", "unladenWeight": "310", "permanentAddress": "VILL-BABANOURA , POST-RAVIPURAM,EARNAKULAM, -912345", "ownerSerialNumber": "1", "statusAsOn": "21-10-2021", "wheelbase": "2025", "registrationDate": "24-05-2011", "fatherName": "NIVIN DAS", "financier": "INDIAN BANK LTD", "registrationNumber": "UP65BT1996", "chassisNumber": "MD2ABCPZZTWM12345", "numberOfCylinders": "1", "bodyTypeDescription": "AUTO RICKSHAW (PASS)", "makerDescription": "BAJAJ AUTO LTD", "sleeperCapacity": "0", "fuelDescription": "PETROL", "makerModel": "REGDI", "cubicCapacity": "145.0", "color": "ECO GREEN", "ownerName": "SRI RAM KUMAR", "normsDescription": "EURO 3", "standingCapacity": "0", "insuranceUpto": "20-07-2022", "engineNumber": "ABCDTM01234", "presentAddress": "VILL-BABANOURA , POST-RAVIPURAM,EARNAKULAM, -912345", "insurancePolicyNumber": "01234532145857897", "registeredAt": "VARANASI RTO, Uttar Pradesh", "fitnessUpto": "22-07-2016", "manufacturedMonthYear": "03-2011", "insuranceCompany": "ABV INSURANCE CO.", "pucNumber": "NA", "pucExpiryDate": "NA", "blackListStatus": "NA", "nationalPermitIssuedBy": null, "nationalPermitNumber": null, "nationalPermitExpiryDate": null, "statePermitNumber": "UP1234/102/AUTO/2011/1234", "statePermitType": "Contract Carriage Permit[AUTO RIKSHAW]", "statePermitIssuedDate": "24-Jun-2011", "statePermitExpiryDate": "23-Jun-2016", "nonUseFrom": "", "nocDetails": "NA", "nonUseTo": "", "stateCd": "UP", "vehicleCatgory": "3WT", "rcStatus": "ACTIVE", "stautsMessage": "OK", "rcMobileNo": "", "rcNonUseStatus": "", "blackListInfo": [] }}Error-Response:
Section titled “Error-Response:”{ "status": "400", "message": "Failed", "data": ""}